## python-magnumclient 0.2.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
argparse
pbr>=0.11,<2.0
Babel>=1.3
oslo.config>=1.11.0  # Apache-2.0
oslo.i18n>=1.5.0  # Apache-2.0
oslo.utils>=1.4.0                       # Apache-2.0
iso8601>=0.1.9
requests>=2.5.2
python-keystoneclient>=1.3.0
PyYAML>=3.1.0
stevedore>=1.3.0  # Apache-2.0
six>=1.9.0

=== debian/changelog ===
python-magnumclient (0.2.1-0ubuntu3~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 18 Sep 2015 09:58:25 +0000

python-magnumclient (0.2.1-0ubuntu3) wily; urgency=medium

  * d/p/py34-compat.patch: Refresh for compatibility with older Python 2.7
    versions.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Sep 2015 09:50:51 +0100

python-magnumclient (0.2.1-0ubuntu2) wily; urgency=medium

  * Ensure unit tests are executed for all python versions.
  * d/p/py34-compat.patch: Cherry pick of proposed upstream fixes for
    python >= 3.4 compatibility.

 -- James Page <james.page@ubuntu.com>  Thu, 17 Sep 2015 11:44:00 +0100

python-magnumclient (0.2.1-0ubuntu1) wily; urgency=medium

  [ Thomas Goirand ]
  * Initial release.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 15:48:44 +0100

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures,
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keystoneclient (>= 1.6.0),
                     python-mock,
                     python-oslo.config (>= 2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-requests (>= 2.5.2),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools,
                     python-yaml (>= 3.1.0),
                     python3-babel,
                     python3-fixtures,
                     python3-iso8601,
                     python3-keystoneclient (>= 1.6.0),
                     python3-mock,
                     python3-oslo.config (>= 2.3.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.5.1),
                     python3-requests (>= 2.5.2),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools,
                     python3-yaml (>= 3.1.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-magnumclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-magnumclient.git
Homepage: http://www.openstack.org/

Package: python-magnumclient
Architecture: all
Depends: python-babel,
         python-iso8601,
         python-keystoneclient (>= 1.6.0),
         python-oslo.config (>= 2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-magnumclient-doc,
Description: client library for Magnum API - Python 2.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 2.x module.

Package: python3-magnumclient
Architecture: all
Depends: python3-babel,
         python3-iso8601,
         python3-keystoneclient (>= 1.6.0),
         python3-oslo.config (>= 2.3.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.6),
         python3-requests (>= 2.5.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/python-magnumclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-magnumclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-magnumclient; \
	done
	rm -rf $(CURDIR)/debian/python*-magnumclient/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-magnumclient/usr/bin/magnum $(CURDIR)/debian/python-magnumclient/usr/bin/python2-magnum
	mv $(CURDIR)/debian/python3-magnumclient/usr/bin/magnum $(CURDIR)/debian/python3-magnumclient/usr/bin/python3-magnum

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S); do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif


override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-magnumclient-doc/usr/share/doc/python-magnumclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-magnumclient 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Babel>=1.3 # BSD
six>=1.9.0 # MIT
keystoneauth1>=2.1.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
os-client-config>=1.13.1 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD

=== debian/changelog ===
python-magnumclient (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (buid-)depends for this release.
  * Removed all patches (all applied upstream).
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2016 00:10:01 +0100

python-magnumclient (1.1.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * Align build(-depends) with upstream.
  * d/p/py3-unicode-compat.patch: Add py3 compatibility for unicode builtin.
  * d/p/fix-dict-assert.patch: Fix dictionary order for assert in
    test_keys_and_vals_to_strs.

  [ James Page ]
  * d/rules: Ensure unit tests are executed for all python versions.

  [ Thomas Goirand ]
  * Black list:
    - test_utils.CliUtilsTest.test_keys_and_vals_to_strs

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2016 10:17:03 +0000

python-magnumclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 08:23:52 +0000

python-magnumclient (0.2.1-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:07:00 +0000

python-magnumclient (0.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:03:18 +0000

python-magnumclient (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #798251)

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 13:11:21 +0200

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 2.1.0),
                     python-mock (>= 1.3),
                     python-os-client-config (>= 1.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-prettytable (>= 0.7),
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-mock (>= 1.3),
                     python3-os-client-config (>= 1.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-prettytable (>= 0.7),
                     python3-requests (>= 2.8.1),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-magnumclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-magnumclient.git
Homepage: http://www.openstack.org/

Package: python-magnumclient
Architecture: all
Depends: python-babel,
         python-keystoneauth1 (>= 2.1.0),
         python-os-client-config (>= 1.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.3.0),
         python-pbr (>= 1.8),
         python-prettytable (>= 0.7),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-magnumclient-doc,
Description: client library for Magnum API - Python 2.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 2.x module.

Package: python3-magnumclient
Architecture: all
Depends: python3-babel,
         python3-keystoneauth1 (>= 2.1.0),
         python3-os-client-config (>= 1.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.3.0),
         python3-pbr (>= 1.8),
         python3-prettytable (>= 0.7),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	mv $(CURDIR)/debian/python-magnumclient/usr/bin/magnum $(CURDIR)/debian/python-magnumclient/usr/bin/python2-magnum
 	mv $(CURDIR)/debian/python3-magnumclient/usr/bin/magnum $(CURDIR)/debian/python3-magnumclient/usr/bin/python3-magnum
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
@@ -33,7 +36,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'magnumclient\.tests\.(?!.*test_utils\.CliUtilsTest\.test_keys_and_vals_to_strs.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-magnumclient 2.1.0

=== debian/changelog ===
python-magnumclient (2.1.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 08 Sep 2016 16:26:56 +0000

python-magnumclient (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 18:57:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -29,7 +29,7 @@
                      python-prettytable (>= 0.7),
                      python-requests (>= 2.8.1),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel,
@@ -44,13 +44,13 @@
                      python3-prettytable (>= 0.7),
                      python3-requests (>= 2.8.1),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.5.0),
+                     python3-stevedore (>= 1.9.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-magnumclient.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-magnumclient.git
 Homepage: http://www.openstack.org/
@@ -67,7 +67,7 @@
          python-prettytable (>= 0.7),
          python-requests (>= 2.8.1),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-magnumclient-doc,
@@ -92,7 +92,7 @@
          python3-prettytable (>= 0.7),
          python3-requests (>= 2.8.1),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.5.0),
+         python3-stevedore (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-magnumclient-doc,

## python-magnumclient 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
os-client-config!=1.19.0,!=1.19.1,!=1.20.0,!=1.20.1,!=1.21.0,>=1.13.1 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
python-magnumclient (2.3.0-2+3~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 12:29:05 +0000

python-magnumclient (2.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:11:08 +0200

python-magnumclient (2.3.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 10:39:03 +0200

=== debian/control ===
--- 
+++ 
@@ -14,60 +14,68 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage,
-                     python-fixtures (>= 1.3.1),
+                     python-cryptography (>= 1.0),
+                     python-decorator (>= 3.4.0),
+                     python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 2.1.0),
-                     python-mock (>= 1.3),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-mock (>= 2.0),
+                     python-openstackclient (>= 2.1.0),
                      python-os-client-config (>= 1.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-prettytable (>= 0.7),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.9.0),
+                     python-stevedore (>= 1.16.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python3-babel,
-                     python3-fixtures (>= 1.3.1),
-                     python3-keystoneauth1 (>= 2.1.0),
-                     python3-mock (>= 1.3),
+                     python3-babel (>= 2.3.4),
+                     python3-cryptography (>= 1.0),
+                     python3-decorator (>= 3.4.0),
+                     python3-fixtures (>= 3.0.0),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-mock (>= 2.0),
+                     python3-openstackclient (>= 2.1.0),
                      python3-os-client-config (>= 1.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-prettytable (>= 0.7),
-                     python3-requests (>= 2.8.1),
+                     python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.9.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-magnumclient.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-magnumclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-magnumclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-magnumclient -b debian/newton
 Homepage: http://www.openstack.org/
 
 Package: python-magnumclient
 Architecture: all
-Depends: python-babel,
-         python-keystoneauth1 (>= 2.1.0),
+Depends: python-babel (>= 2.3.4),
+         python-cryptography (>= 1.0),
+         python-decorator (>= 3.4.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-os-client-config (>= 1.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.3.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-prettytable (>= 0.7),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.9.0),
+         python-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-magnumclient-doc,
@@ -82,17 +90,19 @@
 
 Package: python3-magnumclient
 Architecture: all
-Depends: python3-babel,
-         python3-keystoneauth1 (>= 2.1.0),
+Depends: python3-babel (>= 2.3.4),
+         python3-cryptography (>= 1.0),
+         python3-decorator (>= 3.4.0),
+         python3-keystoneauth1 (>= 2.10.0),
          python3-os-client-config (>= 1.14.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.3.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.9.0),
+         python3-stevedore (>= 1.16.0),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-magnumclient-doc,

## python-magnumclient 2.3.1

=== debian/changelog ===
python-magnumclient (2.3.1-1+42~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Dec 2016 22:18:13 +0000

python-magnumclient (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 22:59:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,

## python-magnumclient 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
keystoneauth1>=2.18.0 # Apache-2.0
stevedore>=1.17.1 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
os-client-config>=1.22.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
python-magnumclient (2.5.0-1) unstable; urgency=medium

  * New upstream version [ ocata ]
  * Edit Vcs fields
  * Fix debian/control to match requiremets

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 19 Dec 2017 16:40:05 +0100

=== debian/control ===
--- 
+++ 
@@ -20,45 +20,50 @@
                      python-decorator (>= 3.4.0),
                      python-fixtures (>= 3.0.0),
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 2.10.0),
+                     bandit,
+                     python-keystoneauth1 (>= 2.18.0),
                      python-mock (>= 2.0),
-                     python-openstackclient (>= 2.1.0),
-                     python-os-client-config (>= 1.14.0),
+                     python-openstackclient (>= 3.3.0),
+                     python-os-client-config (>= 1.22.0),
+                     python-osc-lib (>= 1.2.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.16.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
-                     python-prettytable (>= 0.7),
+                     python-osprofiler (>= 1.4.0),
+                     python-prettytable (>= 0.7.1),
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.16.0),
+                     python-stevedore (>= 1.17.1),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel (>= 2.3.4),
                      python3-cryptography (>= 1.0),
                      python3-decorator (>= 3.4.0),
                      python3-fixtures (>= 3.0.0),
-                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-keystoneauth1 (>= 2.18.0),
                      python3-mock (>= 2.0),
-                     python3-openstackclient (>= 2.1.0),
-                     python3-os-client-config (>= 1.14.0),
+                     python3-openstackclient (>= 3.3.0),
+                     python3-os-client-config (>= 1.22.0),
+                     python3-osc-lib (>= 1.2.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslo.utils (>= 3.18.0),
                      python3-oslotest (>= 1:1.10.0),
-                     python3-prettytable (>= 0.7),
+                     python3-osprofiler (>= 1.4.0),
+                     python3-prettytable (>= 0.7.1),
                      python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.16.0),
+                     python3-stevedore (>= 1.17.1),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-magnumclient?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-magnumclient -b debian/newton
+Vcs-Browser: https://anonscm.debian.org/git/openstack/clients/python-magnumclient.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/clients/python-magnumclient.git
 Homepage: http://www.openstack.org/
 
 Package: python-magnumclient
@@ -66,16 +71,17 @@
 Depends: python-babel (>= 2.3.4),
          python-cryptography (>= 1.0),
          python-decorator (>= 3.4.0),
-         python-keystoneauth1 (>= 2.10.0),
-         python-os-client-config (>= 1.14.0),
+         python-keystoneauth1 (>= 2.18.0),
+         python-os-client-config (>= 1.22.0),
+         python-osc-lib (>= 1.2.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
-         python-prettytable (>= 0.7),
+         python-prettytable (>= 0.7.1),
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.16.0),
+         python-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-magnumclient-doc,
@@ -93,16 +99,17 @@
 Depends: python3-babel (>= 2.3.4),
          python3-cryptography (>= 1.0),
          python3-decorator (>= 3.4.0),
-         python3-keystoneauth1 (>= 2.10.0),
-         python3-os-client-config (>= 1.14.0),
+         python3-keystoneauth1 (>= 2.18.0),
+         python3-os-client-config (>= 1.22.0),
+         python3-osc-lib (>= 1.2.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
-         python3-prettytable (>= 0.7),
+         python3-prettytable (>= 0.7.1),
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.16.0),
+         python3-stevedore (>= 1.17.1),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-magnumclient-doc,

## python-magnumclient 2.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

Babel!=2.4.0,>=2.3.4 # BSD
six>=1.9.0 # MIT
keystoneauth1>=3.1.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
os-client-config>=1.28.0 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
cryptography!=2.0,>=1.6 # BSD/Apache-2.0
decorator>=3.4.0 # BSD

=== debian/changelog ===
python-magnumclient (2.7.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 15 Aug 2017 15:44:53 +0000

python-magnumclient (2.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 10:25:25 -0400

python-magnumclient (2.5.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 12:55:42 -0500

python-magnumclient (2.4.0-0ubuntu2) zesty; urgency=medium

  * d/control: Cleanup dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 05 Feb 2017 08:46:55 -0500

python-magnumclient (2.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Update Vcs-* links and maintainers.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:10:50 -0500

python-magnumclient (2.3.1-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Nov 2016 13:17:02 -0500

python-magnumclient (2.3.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 15:11:03 +0100

=== debian/control ===
Source: python-magnumclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.6),
                     python-decorator (>= 3.4.0),
                     python-fixtures (>= 3.0.0),
                     python-keystoneauth1 (>= 3.1.0),
                     python-mock (>= 2.0),
                     python-openstackclient (>= 3.3.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-client-config (>= 1.28.0),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-prettytable (>= 0.7.1),
                     python-requests (>= 2.14.2),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-babel (>= 2.3.4),
                     python3-coverage (>= 4.0),
                     python3-cryptography (>= 1.6),
                     python3-decorator (>= 3.4.0),
                     python3-fixtures (>= 3.0.0),
                     python3-keystoneauth1 (>= 3.1.0),
                     python3-mock (>= 2.0),
                     python3-openstackclient (>= 3.3.0),
                     python3-openstackdocstheme (>= 1.16.0),
                     python3-os-client-config (>= 1.28.0),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-prettytable (>= 0.7.1),
                     python3-requests (>= 2.14.2),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-magnumclient
Homepage: http://www.openstack.org/

Package: python-magnumclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cryptography (>= 1.6),
         python-decorator (>= 3.4.0),
         python-keystoneauth1 (>= 3.1.0),
         python-os-client-config (>= 1.28.0),
         python-osc-lib (>= 1.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-magnumclient-doc,
Description: client library for Magnum API - Python 2.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 2.x module.

Package: python3-magnumclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cryptography (>= 1.6),
         python3-decorator (>= 3.4.0),
         python3-keystoneauth1 (>= 3.1.0),
         python3-os-client-config (>= 1.28.0),
         python3-osc-lib (>= 1.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-magnumclient-doc,
Description: client library for Magnum API - Python 3.x
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the Python 3.x module.

Package: python-magnumclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: client library for Magnum API - doc
 Magnum is an OpenStack API service developed by the OpenStack Containers Team
 making container orchestration engines such as Docker and Kubernetes available
 as first class resources in OpenStack. Magnum uses Heat to orchestrate an OS
 image which contains Docker and Kubernetes and runs that image in either
 virtual machines or bare metal in a cluster configuration.
 .
 This package contains the documentation.
